- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
gsmtpserver.h File Reference
`#include "gdef.h"`
`#include "gsmtp.h"`
`#include "gnoncopyable.h"`
`#include "gexecutable.h"`
`#include "gbufferedserverpeer.h"`
`#include "gmultiserver.h"`
`#include "gsmtpclient.h"`
`#include "gverifier.h"`
`#include "gmessagestore.h"`
`#include "gserverprotocol.h"`
`#include "gprotocolmessage.h"`
`#include "gconnectionlookup.h"`
`#include "gexception.h"`
`#include <string>`
`#include <sstream>`
`#include <memory>`
`#include <list>`

Go to the source code of this file.

## Classes
class | GSmtp::ServerPeer
| Represents a connection from an SMTP client. More...
class | GSmtp::Server
| An SMTP server class. More...
struct | GSmtp::Server::Config
| A structure containing GSmtp::Server configuration parameters. More...

## Namespaces
| GSmtp
| SMTP and message-store classes.